%define srcname	python-apt_2.6.0

Name:           python-apt
Version:        2.6.0
Release:        1%{?dist}
Summary:        Python bindings for APT
License:        GPLv2+
URL:            https://tracker.debian.org/pkg/python-apt
Source0:        http://archive.ubuntu.com/ubuntu/pool/main/p/%{name}/%{srcname}.tar.xz

# Requires Debian's apt
BuildRequires:  apt-mga >= 2.0.0
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libpython3-devel
BuildRequires:	apt-mga-devel
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-setuptools
BuildRequires:  libzlib-devel
BuildRequires:	intltool
ExclusiveArch:	i586 x86_64 aarch64

%description
python-apt is a wrapper to use features of APT from Python.

%package -n python3-apt
Summary:        Python 3 bindings for APT
# Without dpkg installed, it crashes
Requires:       dpkg
# Needed for source format support
Recommends:     dpkg-dev

%description -n python3-apt
The apt_pkg Python 3 interface will provide full access to the internal
libapt-pkg structures allowing Python 3 programs to easily perform a
variety of functions, such as:

 - Access to the APT configuration system
 - Access to the APT package information database
 - Parsing of Debian package control files, and other files with a
   similar structure

The included 'aptsources' Python interface provides an abstraction of
the sources.list configuration on the repository and the distro level.

%prep
%setup -q

%build
# Deal with python-apt not having proper default version set by using debver hack
export DEBVER="%{version}"
%py3_build

%install
# Deal with python-apt not having proper default version set by using debver hack
export DEBVER="%{version}"
%py3_install

# Get rid of unused garbage
rm -rf %{buildroot}%{python3_sitelib}/apt_*-stubs*

%files -n python3-apt
%license COPYING.GPL
%doc README.md
%{python3_sitearch}/apt/
%{python3_sitearch}/apt_*
%{python3_sitearch}/aptsources/
%{python3_sitearch}/python_apt-%{version}-py%{python3_version}.egg-info/
%{_datadir}/%{name}/
